@args allowed: bool
<div class="max-w-3xl mx-auto mt-10 space-y-6">
    @for (.blogs) |blog| {
        <div class="p-4 border border-gray-200 rounded-xl shadow-sm hover:shadow transition">
            <div class="flex justify-between items-center">
                <a href="/blogs/{{blog.id}}" class="text-xl font-semibold text-blue-600 hover:underline">
                    {{blog.title}}
                </a>

                @if ($.allowed)
                    <button
                        id="delete-post-{{blog.id}}"
                        class="text-sm text-red-600 hover:text-red-800"
                    >
                        Delete
                    </button>
                @end
            </div>

            <p class="text-gray-500 text-sm mt-1">
                {{zmpl.fmt.datetime(blog.get("created_at"), "%Y-%m-%d %H:%M")}}
            </p>
        </div>
    }

    @if ($.allowed)
        <div class="pt-4">
            <a href="/blogs/new" class="inline-block px-4 py-2 bg-blue-600 text-white rounded-md hover:bg-blue-700 transition">
                + New Blog
            </a>
        </div>
    @end
</div>

@if ($.allowed)
<script>
document.addEventListener("DOMContentLoaded", () => {
    document.querySelectorAll('[id^="delete-post-"]').forEach(button => {
        button.addEventListener("click", () => {
            const id = button.id.replace("delete-post-", "");
            fetch(`/blogs/${id}`, {
                method: 'DELETE',
                headers: {
                    'Content-Type': 'application/json'
                },
            })
            .then(() => window.location.reload())
            .catch(err => console.error("Failed to delete post:", err));
        });
    });
});
</script>
@end

